Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 09-18-03, 12:46 PM   #1
tblille
Registered User
 
Join Date: Sep 2003
Location: Bavaria, Germany
Posts: 2
Default Problem with SuSE 8.2 and 1.0-4496

Although all dependencies are satisfied (so it seems), the installer fails. The sh command starts well, but fails to build a module for my kernel 2.4.20-4GB (kernel sources 2.4.20 are also installed). The message is in the attached nvidia-installer.log (info.zip also containing my /etc/X11/XF86Config and /var/log/XFree86.0.log, but I don't think they're much help).

Could SuSE have used another compiler for the kernel than on the cd's? Probably not, but where's the problem then?

Other info: Dell Dimension with PII 400, Geforce2 MX400 with tv-out, LCD 1702FP (also Dell). The "old" drivers with SuSE 8.0 (kernel 2.4.18-4GB) worked fine.

Whoever solves this; welcome to Oktoberfest with some beers and Schweinshax'n on my expense!

Attached Files
File Type: zip info.zip (9.3 KB, 141 views)

Last edited by tblille; 09-18-03 at 02:23 PM.
tblille is offline   Reply With Quote
Old 09-18-03, 01:39 PM   #2
TheOuch
Registered User
 
Join Date: Jul 2003
Posts: 32
Default

# export IGNORE_CC_MISMATCH=yes
# /NVIDIA-yatta-yatta
TheOuch is offline   Reply With Quote
Old 09-18-03, 04:32 PM   #3
tblille
Registered User
 
Join Date: Sep 2003
Location: Bavaria, Germany
Posts: 2
Wink Works! (So it seems...)

Thanks, TheOuch! I did read this trick in the README, but wasn't sure whether that would fix it, or maybe cause more problems. My X-server was working (without 3D-acceleration), so I didn't want to mess up that.

After reading your reply, I went through the README again, and found this:

# cat /proc/version
# gcc -v

Since the output of those two showed the same compiler, I trusted you were right, and you were.......till now. But in difference to another major OS, my experience with Linux is; what works, stays working !!

What else can I say (to myself and other impatient fellows)? READ THE F****** MANUAL !

By the way; with sax2 you don't have to edit the XF86Config file (sax2 takes care of that).

All in all simply a rather harmless bug in the installer(?).
tblille is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 10:14 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.